Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.util
Class ModuleFolder

    java.lang.Object
      org.eclipse.wst.server.core.util.ModuleFolder

All Implemented Interfaces:
  IModuleFolder, IModuleResource

    public class ModuleFolder

extends java.lang.Object
implements IModuleFolder

An implementation of `IModuleFolder` for physical folders on disk or in the workspace.

Since:
  3.0

Constructor Summary
`ModuleFolder(IContainer container, java.lang.String name, IPath path)` Creates a module folder.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getAdapter(java.lang.Class cl)`
`IPath` | `getModuleRelativePath()` Returns the module relative path to this resource.
`java.lang.String` | `getName()` Returns the name of this resource.
`int` | `hashCode()`
`IModuleResource[]` | `members()` Returns the members (contents) of this folder.
`void` | `setMembers(IModuleResource[] members)` Sets the members (contents) of this folder.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleFolder

    public ModuleFolder(IContainer container,
                        java.lang.String name,
                        IPath path)

  Creates a module folder.

  Parameters:
    `container` - the container, or `null` for unknown container
    `name` - a name
    `path` - the module relative path to the folder

Method Detail

### setMembers

    public void setMembers(IModuleResource[] members)

  Sets the members (contents) of this folder.

  Parameters:
    `members` - the members

### getModuleRelativePath

    public IPath getModuleRelativePath()

  Description copied from interface: `IModuleResource`
  Returns the module relative path to this resource.

  Specified by:
    `getModuleRelativePath` in interface `IModuleResource`
  Returns:
    the module relative path to this resource

### getName

    public java.lang.String getName()

  Description copied from interface: `IModuleResource`
  Returns the name of this resource.

  Specified by:
    `getName` in interface `IModuleResource`
  Returns:
    the name of this resource

### members

    public IModuleResource[] members()

  Description copied from interface: `IModuleFolder`
  Returns the members (contents) of this folder.

  Specified by:
    `members` in interface `IModuleFolder`
  Returns:
    an array containing the module resources contained in this folder

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class cl)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD